We already added support for V2 in jclouds 1.9.1.

You just need to change the code to use "digitalocean2" as the provider used to create the context, a dummy identity and your api key for the credential.

HTH!

I.

El 18/9/2015 0:28, "Ruben Rubio Rey" <tk421.1@gmail.com> escribió:
Hi,

DigitalOcean API V1 is deprecated and will be shut down in November 9th.

Is there any plans to make JClouds compatible with the version 2 ?

Regards,
Ruben